# webfs

It's a WebDAV server that generates and caches media thumbnails.

I front-end it with Caddy,
which handles authentication and access controls.
Because the thumbnails live at the same path as the original media,
so I don't need any special gubbins to protect thumbnails the same way.


## Thumbnails

If you put `?thumbnail` at the end of the URL,
it will use `ffmpeg` to generate a WebP thumbnail that fits in a 320x200 box.

I use WebP because it provides alpha channels, animations,
and good compression. 
If your browser doesn't have WebP support,
that's a real pity,
and this isn't a good software solution for you.

Thumbnails are cached.
No attempt is made to verify whether thumbnails are up-to-date,
or to clean up the thumbnail directory.
Something else is going to have to manage that.
